Linux Kernelの複数の脆弱性(CVE-2017-14340, CVE-2017-14489) — | サイオスOSS | サイオステクノロジー

Linux Kernelの複数の脆弱性(CVE-2017-14340, CVE-2017-14489) — | サイオスOSS | サイオステクノロジー
現在位置: ホーム / セキュリティ ブログ / Linux Kernelの複数の脆弱性(CVE-2017-14340, CVE-2017-14489)

Linux Kernelの複数の脆弱性(CVE-2017-14340, CVE-2017-14489)

09/16/2017にLinux Kernelの複数の脆弱性情報(CVE-2017-14340, CVE-2017-14489)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

09/16/2017にLinux Kernelの複数の脆弱性情報(CVE-2017-14340, CVE-2017-14489)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14340
    • 非特権ユーザによるkernel oopsの可能性

    • 重要度 - Moderate

    • 4.13.2より前のLinux Kernelで、fs/xfs/xfs_linux.h中のXFS_IS_REALTIME_INODEマクロではファイルシステムがリアルタイムデバイスを持っているかを確認していませんでした。これにより、ローカルユーザがディレクトリにRHINHERITフラグをセットすることで、DoS(NullポインタディレファレンスとOOPS)を引き起こす事ができる可能性があり真す。

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14489
    • DoS(パニック)の可能性

    • 重要度 - Moderate

    • 4.13.2より前のLinux Kernelで、drivers/scsi/scsi_transport_iscsi.c中のiscsi_if_rx()関数の問題により、不正な長さの確認によるDoS(panic)を、ローカルユーザにより引き起こすことができる可能性があります。



対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14340

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14489

セキュリティ系連載案内

OSSセキュリティ技術の会による日経Linuxでの連載「IoT時代の最新SELinux入門」がITPro上で読めるようになりました。技術の会代表で第一人者である中村さん等による、最新のSELinuxの情報やコマンド類等も更新されているのでお薦めです。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

タグ:
OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

----- EXTENDED BODY:

前へ

OpenSSLに複数の脆弱性(CVE-2016-2107, CVE-2016-2108等) — | サイオスOSS | サイオステクノロジー

次へ

clamavの複数の脆弱性(CVE-2017-6418, CVE-2017-6419, CVE-2017-6420) — | サイオスOSS | サイオステクノロジー